ActiveMQClusterFactory (ActiveCluster 1.0 API)
Keywords: org.codehaus.activecluster.impl.ActiveMQClusterFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activecluster.impl
Class ActiveMQClusterFactory

    java.lang.Object
      org.codehaus.activecluster.impl.DefaultClusterFactory
          org.codehaus.activecluster.impl.ActiveMQClusterFactory

All Implemented Interfaces:
  ClusterFactory

public class ActiveMQClusterFactory
extends DefaultClusterFactory

An implementation of `ClusterFactory` using ActiveMQ

Version:
  $Revision: 1.4 $

Field Summary
`static String` | `DEFAULT_CLUSTER_URL`

Constructor Summary
`ActiveMQClusterFactory()`
`ActiveMQClusterFactory(org.codehaus.activemq.ActiveMQConnectionFactory connectionFactory)`
`ActiveMQClusterFactory(org.codehaus.activemq.ActiveMQConnectionFactory connectionFactory, boolean transacted, int acknowledgeMode, String dataTopicPrefix, long inactiveTime)`
`ActiveMQClusterFactory(boolean transacted, int acknowledgeMode, String dataTopicPrefix, long inactiveTime)`
`ActiveMQClusterFactory(String brokerURL)`

Method Summary
`org.codehaus.activemq.ActiveMQConnectionFactory` | `getActiveMQConnectionFactory()`
`void` | `setActiveMQConnectionFactory(org.codehaus.activemq.ActiveMQConnectionFactory connectionFactory)`

Methods inherited from class org.codehaus.activecluster.impl.DefaultClusterFactory
`createCluster, createCluster, createCluster, createProducer, createSession, getAcknowledgeMode, getConnectionFactory, getDataTopicPrefix, getDeliveryMode, getInactiveTime, isTransacted, isUseQueueForInbox, setAcknowledgeMode, setConnectionFactory, setDataTopicPrefix, setDeliveryMode, setInactiveTime, setTransacted, setUseQueueForInbox`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CLUSTER_URL

    public static String DEFAULT_CLUSTER_URL

Constructor Detail

### ActiveMQClusterFactory

    public ActiveMQClusterFactory()

### ActiveMQClusterFactory

    public ActiveMQClusterFactory(String brokerURL)

### ActiveMQClusterFactory

    public ActiveMQClusterFactory(org.codehaus.activemq.ActiveMQConnectionFactory connectionFactory)

### ActiveMQClusterFactory

    public ActiveMQClusterFactory(boolean transacted,
                                  int acknowledgeMode,
                                  String dataTopicPrefix,
                                  long inactiveTime)

### ActiveMQClusterFactory

    public ActiveMQClusterFactory(org.codehaus.activemq.ActiveMQConnectionFactory connectionFactory,
                                  boolean transacted,
                                  int acknowledgeMode,
                                  String dataTopicPrefix,
                                  long inactiveTime)

Method Detail

### getActiveMQConnectionFactory

    public org.codehaus.activemq.ActiveMQConnectionFactory getActiveMQConnectionFactory()

### setActiveMQConnectionFactory

    public void setActiveMQConnectionFactory(org.codehaus.activemq.ActiveMQConnectionFactory connectionFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Protique, Ltd.. All Rights Reserved.